libalut.so.0 wrong ELF class

Questions, problems and discussion about compiling FreeOrion.

Moderator: Oberlus

Post Reply
Message
Author
hark130
Space Krill
Posts: 2
Joined: Mon Jun 10, 2013 5:41 am

libalut.so.0 wrong ELF class

#1 Post by hark130 »

I'm having some serious difficulties running v0.4.2 (downloaded from the stable release) and I am in dire need of help.

I'm running Ubuntu 12.04 and I get the following error when I

Code: Select all

./freeorion
from the FreeOrion-v0.4.2-5771-Linux.tar.xz I downloaded.

Code: Select all

/usr/local/freeorion/bin/freeorion.elf: error while loading shared libraries: libalut.so.0: wrong ELF class: ELFCLASS32
Help?

hark130
Space Krill
Posts: 2
Joined: Mon Jun 10, 2013 5:41 am

Re: libalut.so.0 wrong ELF class

#2 Post by hark130 »

After more research (I've been at this for hours now) I thought removing and installing libalut0 might help. Now I get the following errors:

Code: Select all

[ Process PID=28131 runs in 32 bit mode. ]
Following into my basedir
CWD: /usr/share/freeorion
libGL error: failed to load driver: swrast
libGL error: Try again with LIBGL_DEBUG=verbose for more details.
CDE WARNING (unsupported operation): sys_openat './default/data/art/.' is a relative path and dirfd != AT_FDCWD
AL lib: (EE) oss_open_playback: Could not open /dev/dsp: No such file or directory
and the FreeOrion start screen is blocky and pixelated. Should ld-linux.so.2 be running in 32 bit mode? My Precise Pangolin installation is 64 bit.

To be thorough, PID 28131 shows up as

Code: Select all

joe      28131 28128  0 00:58 pts/0    00:00:00 /home/orion/freeorion/cde-root/lib/ld-linux.so.2 /bin/sh /usr/bin/freeorion
Help? I would love to play this game. It looks spectacular.

User avatar
Geoff the Medio
Programming, Design, Admin
Posts: 12725
Joined: Wed Oct 08, 2003 1:33 am
Location: Munich

Re: libalut.so.0 wrong ELF class

#3 Post by Geoff the Medio »

hark130 wrote:

Code: Select all

libGL error: failed to load driver: swrast
libGL error: Try again with LIBGL_DEBUG=verbose for more details.[/quote]This suggests a video driver problem, which is consistent with mangled graphics as you described.

User avatar
Vezzra
Release Manager, Design
Posts: 5408
Joined: Wed Nov 16, 2011 12:56 pm
Location: Sol III

Re: libalut.so.0 wrong ELF class

#4 Post by Vezzra »

hark130 wrote:I'm running Ubuntu 12.04 and I get the following error when I

Code: Select all

./freeorion
from the FreeOrion-v0.4.2-5771-Linux.tar.xz I downloaded.
Have you tried the deb packages provided specifically for Ubuntu?

Apo
Space Squid
Posts: 89
Joined: Fri Apr 19, 2013 4:10 pm

Re: libalut.so.0 wrong ELF class

#5 Post by Apo »

For all users of Debian based distributions, i suggest to recommend the official Debian packages from now on. I am confident that a package for Ubuntu 13.10 will be available in time for the next Ubuntu release in October. Usually Ubuntu just copies the Debian package from Debian Unstable. At the moment there is only a package in Debian "experimental" available but it is fairly stable, we just didn't want to disrupt a major library transition.

Here is a nice overview for the Debian release of FreeOrion

http://packages.qa.debian.org/f/freeorion.html

You can also download the deb packages directly from

http://packages.debian.org/experimental ... n/download (replace amd64 with i386 for 32bit systems)
http://packages.debian.org/experimental ... a/download

Of course you can also add Debian's experimental repository to your sources.list.

Mixing distributions is only advisable for advanced users, so please take care or wait until the official version arrives in your distribution. Some dependencies of FreeOrion are only available in the current developer version of Ubuntu 13.10.

Post Reply